<?php
/**
 * @file
 * Defines the Parcel Monkey class.
 */


class api_connect {

	var $UserId = '';
	var $ApiKey = '';
	var $Version = '';

	var $Url = '';
	var $Params = '';

	function __construct($UserId='', $ApiKey='', $Version='') {
		$this->UserId = $UserId;
		$this->ApiKey = $ApiKey;
		$this->Version = $Version;
	}

	function connectToWebService() {
  	$connection = curl_init();
		curl_setopt($connection, CURLOPT_URL, $this->Url);
		curl_setopt($connection, CURLOPT_POSTFIELDS, $this->Params);	
    curl_setopt($connection, CURLOPT_HEADER, 0);
    curl_setopt($connection, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($connection, CURLOPT_TIMEOUT, 10);
  	curl_setopt($connection, CURLOPT_USERAGENT, "Mozilla/4.0 (compatible;)");
  	$response = curl_exec($connection);
 	
  	curl_close($connection); 

  	return $response;
	}
}


/**
 * Connect to getQuote service
 */
class getQuote extends api_connect {
	var $Url = 'http://www.parcelmonkey.co.uk/api2/GetQuote';

	function setPostParams($Params) {
		$this->Params = $Params;
	}
}


/**
 * Connect to createShipment service
 */
class createShipment extends api_connect {
	var $Url = 'http://www.parcelmonkey.co.uk/api2/CreateShipment';

	function setPostParams($Params) {
		$this->Params = $Params;
	}
}


/**
 * Connect to getShipmentDetails service
 */
class getShipmentDetails extends api_connect {
	var $Url = 'http://www.parcelmonkey.co.uk/api2/GetShipmentDetails';

	function setPostParams($Params) {
		$this->Params = $Params;
	}
}


/**
 * Connect to payForShipment service
 */
class payForShipment extends api_connect {
	var $Url = 'http://www.parcelmonkey.co.uk/api2/PayForShipment';

	function setPostParams($Params) {
		$this->Params = $Params;
	}
}


/**
 * Connect to getLabelUrl service
 */
class getLabelUrl extends api_connect {
	var $Url = 'http://www.parcelmonkey.co.uk/api2/GetLabelUrl';

	function setPostParams($Params) {
		$this->Params = $Params;
	}
}


/**
 * Connect to getTrackingUrl service
 */
class getTrackingUrl extends api_connect {
	var $Url = 'http://www.parcelmonkey.co.uk/api2/GetTrackingUrl';

	function setPostParams($Params) {
		$this->Params = $Params;
	}
}


/**
 * Connect to createCustomsInvoice service
 */
class createCustomsInvoice extends api_connect {
	var $Url = 'http://www.parcelmonkey.co.uk/api2/CreateCustomsInvoice';

	function setPostParams($Params) {
		$this->Params = $Params;
	}
}